﻿using System;
using System.IO;
using System.Reflection;
using System.Windows.Forms;

namespace ARClient {
	static class Program {
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() {
			AppDomain.CurrentDomain.AssemblyResolve += ResolveAssembly;
			Main2();
		}
		static void Main2() {
			Application.EnableVisualStyles();
			try { Application.SetCompatibleTextRenderingDefault(false); } catch { }
			Application.Run(new Form1());
		}
		private static Assembly ResolveAssembly(Object sender, ResolveEventArgs e) {
			String resourceName = "ARClient." + new AssemblyName(e.Name).Name + ".dll";
			using (Stream stream = Assembly.GetExecutingAssembly().GetManifestResourceStream(resourceName)) {
				if (stream == null) return null;
				Byte[] assemblyData = new Byte[stream.Length];
				stream.Read(assemblyData, 0, assemblyData.Length);
				return Assembly.Load(assemblyData);
			}
		}
	}
}
